Bug 219254 - midi2ly: midi module not found
midi2ly: midi module not found
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lilypond (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 03:00 EST by Martin Tarenskeen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-15 15:26:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Tarenskeen 2006-12-12 03:00:16 EST
Description of problem:
/usr/bin/midi2ly script doesn't work. midi module is not found in
/usr/lib/lilypond/2.8.8/python/midi.so

Version-Release number of selected component (if applicable):
lilypond-2.8.8-1.fc5

How reproducible:
always

Steps to Reproduce:
1. midi2ly foo.mid
2.
3.
  
Actual results:
error message "midi module not found"

Expected results:
foo.mid should be converted into foo-midi.ly 

Additional info:
I fixed this by copying, moving, or linking 
   /usr/lib/lilypond/2.8.8/python/midi.so
to
   /usr/share/lilypond/2.8.8/python/

and changed some lines (32-34) in /usr/bin/midi2ly where I replaced
"/usr/lib/lilypond/2.8.8" with "/usr/lib/lilypond/2.8.8" which fixed my problem.
Comment 1 Quentin Spencer 2006-12-15 15:26:09 EST
This problem appears to be fixed in the 2.10.x series, which is already in FC-6,
so I upgraded the FC-5 lilypond release to 2.10.2.

Note You need to log in before you can comment on or make changes to this bug.